#Program to run a number of repetitions of the 
#EDL learner on opaque patterns. This must be in the same
#directory as console.jar from the EDL software. To download the 
#learning software, visit https://github.com/gajajarosz/hidden-structure
from os import system
from sys import argv

rep_num = int(argv[1])
pattinitials = ["B", "F", "CB", "CF"]
pattnames = ["Bleeding", "Feeding", "Counterbleeding", "Counterfeeding"]
reps = [str(num) for num in range(1,rep_num+1)]
for patt_index, patt_initial in enumerate(pattinitials):
    for rep in reps:
        print (patt_initial, rep)
        command = "java -jar console.jar EDL_Inputs/SM_Parameters_"+patt_initial+".txt"
        output_file = rep+pattnames[patt_index]+"_output.txt"
        system(command+" >"+"EDL_Outputs\\"+output_file)